Bug 79084

Summary: [GTK] REGRESSION: r108278 broke some tests that expect focus
Product: WebKit Reporter: Martin Robinson <mrobinson>
Component: WebKitGTKAssignee: Martin Robinson <mrobinson>
Status: RESOLVED FIXED    
Severity: Normal CC: webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Martin Robinson 2012-02-21 00:04:54 PST
http://trac.webkit.org/changeset/108278 removed an explicit gtk_widget_grab_focus from WebCore. This broke the following layout tests:

fast/images/imagemap-focus-ring-zoom-style.html
fast/forms/number/input-number-events.html
fast/events/tabindex-focus-chain.html
fast/events/tab-focus-hidden.html
fast/events/tab-focus-anchor.html
fast/events/media-element-focus-tab.html
fast/events/keypress-insert-tab.html
fast/images/imagemap-focus-ring-zoom-style.html
editing/pasteboard/copy-element-with-conflicting-background-color-from-rule.html
Comment 1 Martin Robinson 2012-03-04 20:12:08 PST
Created attachment 130047 [details]
Patch
Comment 2 Martin Robinson 2012-03-05 00:29:07 PST
Committed r109719: <http://trac.webkit.org/changeset/109719>